Bug 444647 - Directory /usr/include/ImageMagick is not packaged but should
Summary: Directory /usr/include/ImageMagick is not packaged but should
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-29 18:54 UTC by Robert Scheck
Modified: 2008-07-27 17:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-27 17:21:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2008-04-29 18:54:43 UTC
Description of problem:
The directory /usr/include/ImageMagick is not packaged but IMHO should be:

$
error: Failed dependencies:
        /usr/include/ImageMagick is needed by ImageMagick-devel-6.4.0.10-1.i386
$

Version-Release number of selected component (if applicable):
ImageMagick-6.4.0.10-1

How reproducible:
Everytime.

Actual results:
Directory /usr/include/ImageMagick is not packaged but should

Expected results:
Packaged directory /usr/include/ImageMagick packaged, e.g. by applying the 
following patch or better:

--- ImageMagick.spec       2008-04-29 20:37:19.000000000 +0200
+++ ImageMagick.spec.rsc   2008-04-29 20:38:25.000000000 +0200
@@ -245,6 +245,7 @@
 %{_libdir}/pkgconfig/ImageMagick.pc
 %{_libdir}/pkgconfig/MagickWand.pc
 %{_libdir}/pkgconfig/Wand.pc
+%dir %{_includedir}/ImageMagick
 %{_includedir}/ImageMagick/magick
 %{_includedir}/ImageMagick/wand
 %{_mandir}/man1/Magick-config.*

Comment 1 Bug Zapper 2008-05-14 10:23:29 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Robert Scheck 2008-07-27 14:40:52 UTC
Ping?

Comment 3 Hans de Goede 2008-07-27 15:47:22 UTC
(In reply to comment #2)
> Ping?

I somehow missed this sofar sorry, I'm now doing a local testbuild of a fixed
version once thats done I'll submit a fixed version to rawhide.


Comment 4 Hans de Goede 2008-07-27 17:21:28 UTC
version 6.4.0.10-2 which fixes this is on its way to rawhide, closing.



Note You need to log in before you can comment on or make changes to this bug.